diff --git a/util/datagen/src/main/java/net/minecraft/datagen/WorkbenchGenerator.java b/util/datagen/src/main/java/net/minecraft/datagen/WorkbenchGenerator.java
index 828a9b86e..f46c93caa 100644
--- a/util/datagen/src/main/java/net/minecraft/datagen/WorkbenchGenerator.java
+++ b/util/datagen/src/main/java/net/minecraft/datagen/WorkbenchGenerator.java
@@ -98,7 +98,6 @@ class WorkbenchGenerator {
             .addInput(Items.PAPER)
             .addInput(Items.PAPER)
             .addInput(Items.PAPER)
-            .addInput(Items.LEATHER)
             .create("book", Items.BOOK.getDefaultStack());
 
         RecipeBuilder.Shaped(CORE_NAMESPACE)
@@ -304,7 +303,7 @@ class WorkbenchGenerator {
                     "#X",
                     "X#")
                 .addInput('#', Items.AMMO_PEBBLE)
-                .addInput('X', Blocks.OBSIDIAN)
+                .addInput('X', Blocks.SOULSAND)
                 .create("pebbles_to_gloomstone", new ItemStack(Blocks.COBBLE_GLOOMSTONE, 2));
         });
 
@@ -316,13 +315,48 @@ class WorkbenchGenerator {
             .addInput('X', Blocks.ICE)
             .create("perma_ice", new ItemStack(Blocks.PERMAICE, 2));
 
-        RecipeBuilder.Shaped(CORE_NAMESPACE)
-            .setShape(
-                "#X",
-                "X#")
-            .addInput('#', Items.AMMO_PEBBLE)
-            .addInput('X', Items.FLINT)
-            .create("gravel_from_flint_and_pebbles", Blocks.GRAVEL.getDefaultStack());
+        RecipeBuilder.consolidationGroup("aggregates", () -> {
+            RecipeBuilder.Shaped(CORE_NAMESPACE)
+                .setShape(
+                    "#X",
+                    "X#")
+                .addInput('#', Items.AMMO_PEBBLE)
+                .addInput('X', Items.FLINT)
+                .create("gravel_from_flint_and_pebbles", Blocks.GRAVEL.getDefaultStack());
+
+            RecipeBuilder.Shaped(CORE_NAMESPACE)
+                .setShape(
+                    "#X",
+                    "X#")
+                .addInput('#', Items.QUARTZ)
+                .addInput('X', Items.FLINT)
+                .create("sand_from_flint_and_quartz", Blocks.SAND.getDefaultStack());
+
+            RecipeBuilder.Shaped(CORE_NAMESPACE)
+                .setShape(
+                    "#X",
+                    "X#")
+                .addInput('#', Blocks.COBBLE_NETHERRACK)
+                .addInput('X', Items.FLINT)
+                .create("soulsand_from_flint_and_cobble_netherrack", Blocks.SOULSAND.getDefaultStack());
+
+            RecipeBuilder.Shaped(CORE_NAMESPACE)
+                .setShape(
+                    "#X",
+                    "X#")
+                .addInput('#', Items.COAL, 0)
+                .addInput('X', Items.FLINT)
+                .create("brimsand_from_flint_and_coal", Blocks.BRIMSAND.getDefaultStack());
+
+            RecipeBuilder.Shaped(CORE_NAMESPACE)
+                .setShape(
+                    "#X",
+                    "X#")
+                .addInput('#', Items.COAL, 1)
+                .addInput('X', Items.FLINT)
+                .create("brimsand_from_flint_and_charcoal", Blocks.BRIMSAND.getDefaultStack());
+        });
+
 
         RecipeBuilder.Shaped(CORE_NAMESPACE)
             .setShape(
@@ -1329,6 +1363,8 @@ class WorkbenchGenerator {
         plate.addInput('#', Blocks.GLOOMSTONE).create("gloomstone_pressure_plate", Blocks.PRESSURE_PLATE_GLOOMSTONE.getDefaultStack());
         plate.addInput('#', Blocks.SANDSTONE).create("sandstone_pressure_plate", Blocks.PRESSURE_PLATE_SANDSTONE.getDefaultStack());
         plate.addInput('#', Blocks.BRIMSTONE).create("brimstone_pressure_plate", Blocks.PRESSURE_PLATE_BRIMSTONE.getDefaultStack());
+        plate.addInput('#', Blocks.MARBLE).create("marble_pressure_plate", Blocks.PRESSURE_PLATE_MARBLE.getDefaultStack());
+        plate.addInput('#', Blocks.SLATE).create("slate_pressure_plate", Blocks.PRESSURE_PLATE_SLATE.getDefaultStack());
 
         plate.addInput('#', Blocks.COBBLE_STONE).create("cobble_stone_pressure_plate", Blocks.PRESSURE_PLATE_COBBLE_STONE.getDefaultStack());
         plate.addInput('#', Blocks.COBBLE_BASALT).create("cobble_basalt_pressure_plate", Blocks.PRESSURE_PLATE_COBBLE_BASALT.getDefaultStack());
@@ -1374,12 +1410,9 @@ class WorkbenchGenerator {
             .addInput('R', Items.DUST_REDSTONE)
             .create("steel_piston", Blocks.PISTON_BASE_STEEL.getDefaultStack());
 
-        RecipeBuilder.Shaped(CORE_NAMESPACE)
-            .setShape(
-                "S",
-                "P")
-            .addInput('S', Items.SLIMEBALL)
-            .addInput('P', Blocks.PISTON_BASE)
+        RecipeBuilder.Shapeless(CORE_NAMESPACE)
+            .addInput(Items.SLIMEBALL)
+            .addInput(Blocks.PISTON_BASE)
             .create("sticky_piston", Blocks.PISTON_BASE_STICKY.getDefaultStack());
 
         RecipeBuilder.Shaped(CORE_NAMESPACE)
@@ -1401,6 +1434,8 @@ class WorkbenchGenerator {
         RecipeBuilder.Shapeless(CORE_NAMESPACE).addInput(Blocks.GLOOMSTONE).create("gloomstone_button", new ItemStack(Blocks.BUTTON_GLOOMSTONE, buttonYield));
         RecipeBuilder.Shapeless(CORE_NAMESPACE).addInput(Blocks.SANDSTONE).create("sandstone_button", new ItemStack(Blocks.BUTTON_SANDSTONE, buttonYield));
         RecipeBuilder.Shapeless(CORE_NAMESPACE).addInput(Blocks.BRIMSTONE).create("brimstone_button", new ItemStack(Blocks.BUTTON_BRIMSTONE, buttonYield));
+        RecipeBuilder.Shapeless(CORE_NAMESPACE).addInput(Blocks.MARBLE).create("marble_button", new ItemStack(Blocks.BUTTON_MARBLE, buttonYield));
+        RecipeBuilder.Shapeless(CORE_NAMESPACE).addInput(Blocks.SLATE).create("slate_button", new ItemStack(Blocks.BUTTON_SLATE, buttonYield));
         RecipeBuilder.Shapeless(CORE_NAMESPACE).addInput(Blocks.PLANKS_OAK).create("wooden_button", new ItemStack(Blocks.BUTTON_PLANKS_OAK, buttonYield));
         for (DyeColor color : DyeColor.values()) {
             RecipeBuilder.Shapeless(CORE_NAMESPACE).addInput(Blocks.PLANKS_OAK_PAINTED, color.blockMeta).create(color.colorID + "_wooden_button", new ItemStack(Blocks.BUTTON_PLANKS_PAINTED, buttonYield, color.blockMeta << 4));
@@ -1515,7 +1550,7 @@ class WorkbenchGenerator {
                         "###",
                         "CQB",
                         "###")
-                .addInput('#', Blocks.COBBLE_STONE_MOSSY)
+                .addInput('#', "minecraft:mossy_cobblestones")
                 .addInput('C', Blocks.CONDUIT)
                 .addInput('Q', Items.QUARTZ)
                 .addInput('B', Items.BONE)
